Skip to content

Loading…

Make error: ‘class GSocket’ has a previous declaration as ‘class GSocket’ #64

Open
huacnlee opened this Issue · 2 comments

2 participants

@huacnlee

jason@jason-laptop:~/downloads/e/src$ make DEBUG=1
[CC] BundleItemEditorCtrl.cpp
In file included from /usr/include/glib-2.0/gio/gio.h:28,
from /usr/include/gtk-2.0/gdk/gdkapplaunchcontext.h:30,
from /usr/include/gtk-2.0/gdk/gdk.h:32,
from /usr/include/gtk-2.0/gtk/gtk.h:32,
from key_hook.h:13,
from EditorCtrl.h:29,
from BundleItemEditorCtrl.h:4,
from BundleItemEditorCtrl.cpp:1:
/usr/include/glib-2.0/gio/giotypes.h:120: error: conflicting declaration ‘typedef struct _GSocket GSocket’
/home/jason/downloads/e/external/out.debug/include/wx-2.8/wx/unix/gsockunx.h:41: error: ‘class GSocket’ has a previous declaration as ‘class GSocket’
make: *** [.objs.debug/BundleItemEditorCtrl.o] error 1

@huacnlee

I was :
sudo ./get-packages-ubuntu.sh bakefile
./get_externals_linux.sh
./build_externals_linux.sh debug
successed!

@edvinasbartkus

Installing glib2.20 solved this problem for me.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.